<template name="registerAccount">
    {{#autoForm schema=createAccount id="e-createAccount"}}
    <fieldset>
        <legend class="mb-4">Региструј се</legend>
        <div class="row form-group">
            <div class="col-12">
                <label for="name">Име и презиме</label>
            </div>
            <div class="col-12">
                {{> afFieldInput type="text" name="profile.name" id="name" placeholder=currentUser.profile.name}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-12">
                <label for="gender">Пол</label>
            </div>
            <div class="col-12">
                {{> afFieldInput type="select" name="profile.gender" id="gender" options="allowed" firstOption=false}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-12">
                <label for="date">Датум рођења</label>
            </div>
            <div class="col-12">
                {{> afFieldInput type="date" name="profile.birth" id="date"}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-12">
                <label for="email">Е-пошта</label>
            </div>
            <div class="col-12">
                {{> afFieldInput type="email" name="emails.$.address" id="email" autofocus=''}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-12">
                <label for="password">Лозинка</label>
            </div>
            <div class="col-12">
                {{> afFieldInput type="password" name="password" id="password"}}
            </div>
        </div>
    </fieldset>
    <div class="form-group d-flex justify-content-end align-items-center mt-4">
        <button class="btn btn-danger" type="submit">Следеће</button>
    </div>
    {{/autoForm}}
</template>